Subject: bug#54173: 28.0.91; Training wheels for query-replace

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 27 Feb 2022 14:10:13 +0100

Augusto Stoffel <[email-masked]> writes:

> -    (define-key map "y" 'act)
> -    (define-key map "n" 'skip)
>      (define-key map "Y" 'act)
> +    (define-key map "y" 'act)
>      (define-key map "N" 'skip)
> -    (define-key map "e" 'edit-replacement)
> +    (define-key map "n" 'skip)
>      (define-key map "E" 'edit-replacement)
> +    (define-key map "e" 'edit-replacement)

This seems unrelated, and just moves bindings around?

>> >   (‘y’/‘n’, ‘.’ replace & exit, ‘^’ back up, ‘?’ help)
>> 
>> I find this better than the status quo.  I've attached the patch.
>
> Thanks.  Let's wait a bit to let others chime in and express their
> opinions.

I'm not sure I understood the patch.  Is the proposal to append all that
to "Query replacing foo with bar"?  It'll make prompts commonly be
longer than a line, and it's pretty noisy, so if that's the proposal,
I'm against it.

The help is on `?', so I don't see the point, either.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no